%global srcname apache-libcloud
%global shortname libcloud

%global _description %{expand:
libcloud is a client library for interacting with many of
the popular cloud server providers.  It was created to make
it easy for developers to build products that work between
any of the services that it supports.}

%global _docdir_fmt %{name}

Name:           python-%{shortname}
Version:        3.6.0
Release:    1%{?dist}
Summary:        A Python library to address multiple cloud provider APIs

License:        ASL 2.0
URL:            http://libcloud.apache.org/
Source0:        %{pypi_source}
BuildArch:      noarch

Patch0:         000-remove-linter-deps.patch


%description %{_description}


%package -n python3-%{shortname}
Summary:        %{summary}
BuildRequires:  python3-devel

%description -n python3-%{shortname} %{_description}


%prep
%autosetup -p1 -n %{srcname}-%{version}

rm -r %{shortname}/test/

sed -i '1d' demos/gce_demo.py demos/compute_demo.py

chmod -x demos/gce_demo.py demos/compute_demo.py

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{shortname}


%files -n python3-%{shortname} -f %{pyproject_files}
%doc README.rst demos/
%license LICENSE


%check


%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.6.0-1
- initial build
